# Shadowsock-libev with v2ray-plugin image on Alpine Linux 3.17.0

## Build

Tag is `<shadowsocks-libev_version>-<v2ray-plugin_version>`

```shell
docker build . -t ss-libev-v2ray:3.3.5-r1-1.3.2
```

## Run

```shell
docker run \
    --detach \
    --name ss-v2ray \
    --env PASSWORD=secure_password \
    --publish 8388:8388 \
    --publish 8388:8388/udp \
    --restart always \
    ss-libev-v2ray:3.3.5-r1-1.3.2
```

Built image is available on DockerHub:

```shell
docker pull nxhs/ss-libev-v2ray
```

See client.json for client config example. Don't forget install v2ray-plugin on client too.
